<?php
require_once APPS_PATH . '/Recipes/components.php';

the_header(
    'Favorites',
    'Here are your favorite recipes. Enjoy cooking!',
    'favorites-page',
    [
        ['keywords', 'favorites, recipes, cooking, food'],
    ]
);
?>

<div class="container">
    <div class="favorites">
        <?php if(!empty($context['recipes'])): ?>
        <div class="favorites-items">
            <?php

            foreach ($context['recipes'] as $recipe) {
                the_product_item($recipe);
            }
            
            ?>
        </div>
        <?php else: ?>
        <div class="nothing">
            Nothing to show
        </div>
        <?php endif; ?>
    </div>
</div>

<?php
the_footer();
?>